---
title: "FreeBSD/alpha 4.11-RELEASE Release Notes"
sidenav: download
---

++++


<h3 class="CORPAUTHOR">The FreeBSD Project</h3>

<p class="COPYRIGHT">Copyright &copy; 2000, 2001, 2002, 2003, 2004, 2005 The FreeBSD
Documentation Project</p>

<p class="PUBDATE">$FreeBSD: src/release/doc/en_US.ISO8859-1/relnotes/common/new.sgml,v
1.22.2.419.2.9 2005/01/21 11:16:10 hrs Exp $<br />
</p>

<div>
<div class="ABSTRACT"><a id="AEN14" name="AEN14"></a>
<p>The release notes for FreeBSD 4.11-RELEASE contain a summary of the changes made to
the FreeBSD base system since 4.10-RELEASE. Both changes for kernel and userland are
listed, as well as applicable security advisories for the base system that were issued
since the last release. Some brief remarks on upgrading are also presented.</p>
</div>
</div>

<hr />
</div>

<div class="TOC">
<dl>
<dt><b>Table of Contents</b></dt>

<dt>1 <a href="#INTRO">Introduction</a></dt>

<dt>2 <a href="#NEW">What's New</a></dt>

<dd>
<dl>
<dt>2.1 <a href="#SECURITY">Security Advisories</a></dt>

<dt>2.2 <a href="#KERNEL">Kernel Changes</a></dt>

<dd>
<dl>
<dt>2.2.1 <a href="#PROC">Platform-Specific Hardware Support</a></dt>

<dt>2.2.2 <a href="#NET-IF">Network Interface Support</a></dt>

<dt>2.2.3 <a href="#NET-PROTO">Network Protocols</a></dt>

<dt>2.2.4 <a href="#DISKS">Disks and Storage</a></dt>
</dl>
</dd>

<dt>2.3 <a href="#USERLAND">Userland Changes</a></dt>

<dt>2.4 <a href="#CONTRIB">Contributed Software</a></dt>

<dt>2.5 <a href="#RELENG">Release Engineering and Integration</a></dt>
</dl>
</dd>

<dt>3 <a href="#UPGRADE">Upgrading from previous releases of FreeBSD</a></dt>
</dl>
</div>

<div class="SECT1">
<h2 class="SECT1"><a id="INTRO" name="INTRO">1 Introduction</a></h2>

<p>This document contains the release notes for FreeBSD 4.11-RELEASE on the Alpha/AXP
hardware platform. It describes new features of FreeBSD that have been added (or changed)
since 4.10-RELEASE. It also provides some notes on upgrading from previous versions of
FreeBSD.</p>

<p>This distribution of FreeBSD 4.11-RELEASE is a release distribution. It can be found
at <a href="ftp://ftp.FreeBSD.org/" target="_top">ftp://ftp.FreeBSD.org/</a> or any of
its mirrors. More information on obtaining this (or other) release distributions of
FreeBSD can be found in the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors.html"
target="_top">``Obtaining FreeBSD''</a> appendix in the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/" target="_top">FreeBSD
Handbook</a>.</p>
</div>

<div class="SECT1">
<hr />
<h2 class="SECT1"><a id="NEW" name="NEW">2 What's New</a></h2>

<p>This section describes the most user-visible new or changed features in FreeBSD since
4.10-RELEASE. Typical release note items document new drivers or hardware support, new
commands or options, major bugfixes, or contributed software upgrades. Security
advisories for the base system that were issued after 4.10-RELEASE are also listed.</p>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="SECURITY" name="SECURITY">2.1 Security Advisories</a></h3>

<p>A programming error in the FreeBSD Linux binary compatibility which allows a local
attacker to read or write portions of the kernel memory has been fixed. For more details,
see security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-04:13.linux.asc"
target="_top">FreeBSD-SA-04:13.linux</a>.</p>

<p>Various remotely-exploitable vulnerabilities of <b class="APPLICATION">CVS</b>'s
server mode including double-free, integer overflow, and buffer overflow which can result
in information disclosure, denial-of-service, and/or possibly arbitrary code execution,
have been fixed via an upgrade to <b class="APPLICATION">CVS</b> 1.11.17. For more
details, see security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-04:14.cvs.asc"
target="_top">FreeBSD-SA-04:14</a>.</p>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fetch&sektion=1&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fetch</span>(1)</span></a> utility
which allows a malicious HTTP server to cause arbitrary portions of the client's memory
to be overwritten, has been fixed. For more information, see security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-04:16.fetch.asc"
target="_top">FreeBSD-SA-04:16</a>.</p>

<p>A bug in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=procfs&sektion=5&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">procfs</span>(5)</span></a> and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=linprocfs&sektion=5&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">linprocfs</span>(5)</span></a>
which could cause a malicious local user could perform a local denial of service attack
by causing a system panic, or the user could read parts of kernel memory, has been fixed.
For more information, see security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-04:17.procfs.asc"
target="_top">FreeBSD-SA-04:17</a>.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="KERNEL" name="KERNEL">2.2 Kernel Changes</a></h3>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=em&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">em</span>(4)</span></a> driver has
been added to the kernel on the installation media.</p>

<p>A bug in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mmap&sektion=2&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mmap</span>(2)</span></a> that
pages marked as <var class="LITERAL">PROT_NONE</var> may become readable under certain
circumstances, has been fixed.</p>

<p>Bugs in <code class="FUNCTION">vm_object_madvise()</code>, <code
class="FUNCTION">vm_object_sync()</code>, and <code
class="FUNCTION">contigmalloc()</code> functions in the FreeBSD virtual memory subsystem
have been fixed. The bugs in <code class="FUNCTION">vm_object_madvise()</code> and <code
class="FUNCTION">vm_object_sync()</code> could cause memory corruption in a variety of
contexts, and one in <code class="FUNCTION">contigmalloc()</code> could cause a system
panic.</p>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="PROC" name="PROC">2.2.1 Platform-Specific Hardware
Support</a></h4>

<p>Support for the floppy interface is broken on DS10-class systems. The kernel probes
the hardware correctly but the floppy does not work properly. Booting and installing from
floppies is not affected.</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="NET-IF" name="NET-IF">2.2.2 Network Interface Support</a></h4>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=axe&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">axe</span>(4)</span></a> driver,
which supports ASIX Electronics AX88172 USB 2.0 Ethernet chipset has been added.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bge&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bge</span>(4)</span></a> driver
now supports BCM5750 and BCM5751.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=em&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">em</span>(4)</span></a> driver now
supports 82541ER and 82546GB dual port PCI Express adapter.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ixgb&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ixgb</span>(4)</span></a> driver,
which supports PCI Gigabit Ethernet adapters based on the Intel 82597EX Ethernet
controller chips, has been added.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ng_hub&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ng_hub</span>(4)</span></a>
Netgraph node type, which supports a simple packet distribution that acts like an
Ethernet hub has been added.</p>

<p>A bug of jumbo frame handling in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sk&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sk</span>(4)</span></a> driver has
been fixed.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=vr&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">vr</span>(4)</span></a> driver now
supports <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=polling&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">polling</span>(4)</span></a>.</p>

<p>The per-interface <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=polling&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">polling</span>(4)</span></a>
support has been implemented. All of the network drivers that support <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=polling&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">polling</span>(4)</span></a> (<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=dc&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">dc</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fxp&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fxp</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=em&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">em</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=nge&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">nge</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=re&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">re</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rl&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rl</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sis&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sis</span>(4)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ste&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ste</span>(4)</span></a>, and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=vr&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">vr</span>(4)</span></a>) now also
support this capability and it can be controlled via <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ifconfig&sektion=8&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ifconfig</span>(8)</span></a>.</p>

<p>A system panic which occurs when <var class="VARNAME">net.inet.ip.rtexpire</var>
and/or <var class="VARNAME">net.inet6.ip6.rtexpire</var> are set to <var
class="LITERAL">0</var> has been fixed.</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="NET-PROTO" name="NET-PROTO">2.2.3 Network Protocols</a></h4>

<p>The random ephemeral port allocation, which come from OpenBSD has been implemented.
This is enabled by default and can be disabled using the <var
class="VARNAME">net.inet.ip.portrange.randomized</var> sysctl. Note that the
randomization can lead to extremely fast port reuse at high connection rates, which is
causing problems for some users. To retain the security advantage of random ports and
ensure correct operation, it is disabled during periods of high connection rates. More
specifically, when the connection rate exceeds the value of the <var
class="VARNAME">net.inet.ip.portrange.randomcps</var> sysctl (<var
class="LITERAL">10</var> by default), the randomization will be disabled for seconds
specified in the <var class="VARNAME">net.inet.ip.portrange.randomtime</var> sysctl (<var
class="LITERAL">45</var> by default).</p>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ipfw&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ipfw</span>(4)</span></a> now
supports lookup tables. This feature is useful for handling large sparse address
sets.</p>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ipnat&sektion=8&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ipnat</span>(8)</span></a> now
allows redirect rules to work for non-TCP/UDP packets.</p>

<p>The <var class="LITERAL">RST</var> handling of the FreeBSD TCP stack has been improved
to make reset attacks as difficult as possible while maintaining compatibility with the
widest range of TCP stacks. The algorithm is as follows. For connections in the <var
class="LITERAL">ESTABLISHED</var> state, only resets with sequence numbers exactly
matching <var class="VARNAME">last_ack_sent</var> will cause a reset, all other segments
will be silently dropped. For connections in all other states, a reset anywhere in the
window will cause the connection to be reset. All other segments will be silently
dropped. Note that this breaks the RFC 793 specification and you can still disable this
and use the conventional behavior by setting a new sysctl <var
class="VARNAME">net.inet.tcp.insecure_rst</var> to <var class="LITERAL">1</var>.</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="DISKS" name="DISKS">2.2.4 Disks and Storage</a></h4>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ips&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ips</span>(4)</span></a> driver,
which supports IBM/Adaptec ServeRAID controller has been added.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mpt&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mpt</span>(4)</span></a> driver
now supports LSI Logic FC929X Dual 2Gb/s Fibre Channel card.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=trm&sektion=4&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">trm</span>(4)</span></a> driver
now supports the DC395U2W adapters and problems under heavy load have been fixed.</p>
</div>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="USERLAND" name="USERLAND">2.3 Userland Changes</a></h3>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cron&sektion=8&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cron</span>(8)</span></a> daemon
now accepts two new options, <var class="OPTION">-j</var> and <var
class="OPTION">-J</var>, to enable time jitter for jobs to run as unprivileged users and
the superuser, respectively. Time jitter means that <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cron&sektion=8&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cron</span>(8)</span></a> will
sleep for a small random period of time in the specified range before executing a job.
This feature is intended to smooth load peaks appearing when a lot of jobs are scheduled
for a particular moment.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fwcontrol&sektion=8&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fwcontrol</span>(8)</span></a> now
supports a <var class="OPTION">-m</var> option to set the default <var
class="LITERAL">fwmem</var> target.</p>

<p>The <var class="OPTION">-C 60</var> option is now used in the default <var
class="VARNAME">$inetd_flags</var> variable in <tt
class="FILENAME">/etc/rc.conf</tt>.</p>

<p>The <b class="APPLICATION">libc</b> now supports <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=eui64&sektion=3&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">eui64</span>(3)</span></a>
functions.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ngctl&sektion=8&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ngctl</span>(8)</span></a> now
supports <tt class="COMMAND">dot</tt> command to produce a <b
class="APPLICATION">GraphViz</b> (.dot) of the entire Netgraph.</p>

<p>The LQM, Link Quality Monitoring support in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ppp&sektion=8&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ppp</span>(8)</span></a> has been
reimplemented. The LQM, which is described in RFC 1989, allows PPP to keep track of the
quality of a running connection.</p>

<p>The userland <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ppp&sektion=8&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ppp</span>(8)</span></a>
implementation now supports a ``set rad_alive <var class="REPLACEABLE">N</var>'' command
to enable periodic RADIUS accounting information being sent to the RADIUS server.</p>

<p>A bug in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rarpd&sektion=8&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rarpd</span>(8)</span></a> that
prevents it from working properly when a interface has more than one IP address has been
fixed.</p>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=syslogd&sektion=8&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">syslogd</span>(8)</span></a> now
supports <var class="LITERAL">LOG_NTP</var> facility.</p>

<p>Several off-by-one errors and potential buffer overruns in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pax&sektion=1&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pax</span>(1)</span></a> have been
fixed.</p>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=whois&sektion=1&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">whois</span>(1)</span></a> now
supports NORID (Norwegian top level registry) handles, the German whois nameserver, and a
<var class="OPTION">-k</var> flag for querying <tt class="HOSTID">whois.krnic.net</tt>
(the National Internet Development Agency of Korea) which hold details of IP address
allocations within Korea.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="CONTRIB" name="CONTRIB">2.4 Contributed Software</a></h3>

<p><b class="APPLICATION">CVS</b> has been updated from version 1.11.5 to version
1.11.17.</p>

<p><b class="APPLICATION">sendmail</b> has been updated from version 8.12.11 to version
8.13.1.</p>

<p><b class="APPLICATION">GNU patch</b> source files in <tt
class="FILENAME">src/contrib/patch</tt> has been removed. FreeBSD have used the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=patch&sektion=1&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">patch</span>(1)</span></a> sources
in <tt class="FILENAME">src/gnu/usr.bin/patch</tt> for nearly seven years.</p>

<p>The timezone database has been updated from the <b class="APPLICATION">tzdata2004e</b>
release to the <b class="APPLICATION">tzdata2004g</b> release.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="RELENG" name="RELENG">2.5 Release Engineering and
Integration</a></h3>

<p>The supported release of <b class="APPLICATION">GNOME</b> has been updated from 2.6 to
2.8.2. The list of changes for each component can be found at <a
href="http://mail.gnome.org/archives/gnome-announce-list/2004-December/msg00026.html"
target="_top">http://mail.gnome.org/archives/gnome-announce-list/2004-December/msg00026.html</a>.</p>

<p>The supported release of <b class="APPLICATION">KDE</b> has been updated from 3.2.2 to
3.3.2.</p>

<p>The supported userland package for Linux binary compatibility has been updated from <a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/linux_base-6/pkg-descr"><tt
class="FILENAME">linux_base-6</tt></a> (based on Red Hat Linux 7.1) to <a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/linux_base-8/pkg-descr"><tt
class="FILENAME">linux_base-8</tt></a> (based on Red Hat Linux 8.0).</p>

<p>The supported release of <b class="APPLICATION">X Window System</b> has been updated
to <b class="APPLICATION">XFree86</b> 4.4.0. Note that Xorg X11R6.8.1 is also available
in the FreeBSD Ports Collection (<a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/xorg/pkg-descr"><tt
class="FILENAME">x11/xorg</tt></a>).</p>

<p>The <var class="VARNAME">NOSECURE</var> variable in <tt
class="FILENAME">make.conf</tt> has been removed because it is broken and no longer
supported. If you had been using the <var class="VARNAME">NOSECURE</var>, please now use
the <var class="VARNAME">NOCRYPT</var> instead.</p>
</div>
</div>

<div class="SECT1">
<hr />
<h2 class="SECT1"><a id="UPGRADE" name="UPGRADE">3 Upgrading from previous releases of
FreeBSD</a></h2>

<p>If you're upgrading from a previous release of FreeBSD, you generally will have three
options:</p>

<ul>
<li>
<p>Using the binary upgrade option of <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysinstall&sektion=8&manpath=FreeBSD+4.11-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysinstall</span>(8)</span></a>.
This option is perhaps the quickest, although it presumes that your installation of
FreeBSD uses no special compilation options.</p>
</li>

<li>
<p>Performing a complete reinstall of FreeBSD. Technically, this is not an upgrading
method, and in any case is usually less convenient than a binary upgrade, in that it
requires you to manually backup and restore the contents of <tt
class="FILENAME">/etc</tt>. However, it may be useful in cases where you want (or need)
to change the partitioning of your disks.</p>
</li>

<li>
<p>From source code in <tt class="FILENAME">/usr/src</tt>. This route is more flexible,
but requires more disk space, time, and technical expertise. More information can be
found in the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/makeworld.html"
target="_top">``Using <tt class="COMMAND">make world</tt>''</a> section of the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/" target="_top">FreeBSD
Handbook</a>. Upgrading from very old versions of FreeBSD may be problematic; in cases
like this, it is usually more effective to perform a binary upgrade or a complete
reinstall.</p>
</li>
</ul>

<br />
<br />
<p>Please read the <tt class="FILENAME">INSTALL.TXT</tt> file for more information,
preferably <span class="emphasis"><i class="EMPHASIS">before</i></span> beginning an
upgrade. If you are upgrading from source, please be sure to read <tt
class="FILENAME">/usr/src/UPDATING</tt> as well.</p>

<p>Finally, if you want to use one of various means to track the -STABLE or -CURRENT
branches of FreeBSD, please be sure to consult the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/current-stable.html"
target="_top">``-CURRENT vs. -STABLE''</a> section of the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/" target="_top">FreeBSD
Handbook</a>.</p>

<div class="IMPORTANT">
<blockquote class="IMPORTANT">
<p><b>Important:</b> Upgrading FreeBSD should, of course, only be attempted after backing
up <span class="emphasis"><i class="EMPHASIS">all</i></span> data and configuration
files.</p>
</blockquote>
</div>
</div>
</div>

<hr />
<p align="center"><small>This file, and other release-related documents, can be
downloaded from <a href="ftp://ftp.FreeBSD.org/">ftp://ftp.FreeBSD.org/</a>.</small></p>

<p align="center"><small>For questions about FreeBSD, read the <a
href="http://www.FreeBSD.org/docs.html">documentation</a> before contacting &#60;<a
href="mailto:questions@FreeBSD.org">questions@FreeBSD.org</a>&#62;.</small></p>

<p align="center"><small>For questions about this documentation, e-mail &#60;<a
href="mailto:doc@FreeBSD.org">doc@FreeBSD.org</a>&#62;.</small></p>

<br />
<br />
++++


